## snd-hdspe 1.0.2

=== Makefile ===
obj-m += sound/pci/hdsp/

# The runtime of DKMS has this environment variable to build for several versions of Linux kernel.
ifndef KERNELRELEASE
KERNELRELEASE := $(shell uname -r)
endif

KDIR    ?= /lib/modules/${KERNELRELEASE}/build
PWD     := $(shell pwd)
EXTRA_CFLAGS += -DDEBUG -DCONFIG_SND_DEBUG

# Force to build the module as loadable kernel module.
# Keep in mind that this configuration sound be in 'sound/pci/Kconfig' when upstreaming.
export CONFIG_SND_HDSPE=m

default: depend
	$(MAKE) W=1 -C $(KDIR) M=$(PWD) modules

clean:
	$(MAKE) W=1 -C $(KDIR) M=$(PWD) clean
	-rm *~
	-touch deps

insert: default
	-rmmod snd-hdspm
	insmod sound/pci/hdsp/hdspe/snd-hdspe.ko

remove:
	rmmod snd-hdspe

install: default
	-rmmod snd-hdspm
	-ln -s $(pwd) /usr/src/alsa-hdspe-0.0
	dkms install alsa-hdspe/0.0

uninstall:
	dkms remove alsa-hdspe/0.0 --all

list-controls:
	-rm asound.state
	alsactl -f asound.state store

show-controls: list-controls
	less asound.state

enable-debug-log:
	echo 8 > /proc/sys/kernel/printk

depend:
	gcc -MM sound/pci/hdsp/hdspe/hdspe*.c > deps

=== sound/pci/hdsp/Makefile ===
# SPDX-License-Identifier: GPL-2.0

obj-$(CONFIG_SND_HDSPE) += hdspe/

=== sound/pci/hdsp/hdspe/Makefile ===
# SPDX-License-Identifier: GPL-2.0

obj-$(CONFIG_SND_HDSPE) += snd-hdspe.o
snd-hdspe-objs := hdspe_core.o hdspe_pcm.o hdspe_midi.o hdspe_hwdep.o \
	hdspe_proc.o hdspe_control.o hdspe_mixer.o hdspe_tco.o \
	hdspe_common.o hdspe_madi.o hdspe_aes.o hdspe_raio.o \
	hdspe_ltc_math.o

=== debian/changelog ===
snd-hdspe (1.0.2-0ubuntu1) resolute; urgency=medium

  * Initial release. (LP: #2131981)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 19 Nov 2025 11:00:29 -0800

=== debian/control ===
Source: snd-hdspe
Section: kernel
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-dkms
Standards-Version: 4.6.2
Homepage: https://github.com/Schroedingers-Cat/snd-hdspe

Package: alsa-hdspe-dkms
Architecture: all
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dkms
Description: ALSA driver for RME HDSPe MADI / AES / RayDAT / AIO and AIO Pro
 Linux kernel ALSA driver for RME HDSPe MADI / AES / RayDAT / AIO and AIO Pro
 sound cards and extension modules. In addition to the functionality offered
 by the stock snd-hdspm Linux driver, this driver provides support for the
 HDSPe AIO Pro card and TCO module LTC output and fixes issues such as
 double/quad speed support of AIO cards.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with dkms

override_dh_install:
	dh_install sound usr/src/alsa-hdspe-0.0/
	dh_install Makefile usr/src/alsa-hdspe-0.0/

# DKMS Module gets compiled by dkms
override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/snd-hdspe-$1\.tar\.gz/ \
  https://github.com/Schroedingers-Cat/snd-hdspe/tags .*/v?(\d\S*)\.tar\.gz
